Arch SectionPlane/ru

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 21% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Window.svg Window

Arch SectionPlane.svg Arch SectionPlane

Расположение в меню
Архитектура -> Плоскость сечения
Верстаки
Arch
Быстрые клавиши
S P
Представлено в версии
-
См. также
...


Описание

Этот инструмент помещает в текущий документ набор основных видов и сечений чертежа. Набор главных видов располагается в соответствии с текущей рабочей плоскостью, и может быть перемещён и переориентирован через её перемещение и вращение, пока не получится требуемый двумерных вид. Секущая плоскость учитывает только объекты, которые были выбраны в момент её создания. В дальнейшем объекты могут быть добавлены или удалены из объекта SectionPlane инструментами Arch Add и Arch Remove.

После создания объекты SectionPlane вставляют свои виды, или создают новую страницу, если её нет. Вы так же можете добавить вид с сечением прямо в документ, используя инструмент Draft Shape2DView с выбранной секущей плоскостью.

Arch SectionPlane example.jpg

Использование

  1. Установить Draft Working Plane
  2. Выделить объекты, которые должны быть включены в сечение
  3. Нажмите кнопку Arch SectionPlane.png SectionPlane или нажмите S, затем P
  4. Move/rotate Section Plane в правильное положение
  5. Нажмите кнопку Std Recompute.png Recompute для обновления вида

Опции

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • С выбранным объектом сечения используйте инструмент Draft Shape2DView для создания объекта, представляющего вид сечения в документе.

Arch Section example2.jpg

  • Создайте дополнительные виды сечения выделением их и использованием инструмента Draft Drawing.

Arch Section example3.jpg

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Arch SectionPlane CutView.jpg

Параметры

  • VIEWDisplay Size: Размер наборов секцщих видов в трёхмерном окне

Arch SectionPlane ClipView.png

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.


Написание скриптов

Инструмент Плоскость сечения может использоваться в макросах и в консоли Python с использованием следующих функций:

Section = makeSectionPlane(objectslist=None, name="Section")
Создаёт объект Плоскости сечения, включающий данные объекты.

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()